<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <title>Note List</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    </head>
    <body>
        {% include "lab4_navbar.html" %}
        <div class="header">
            <h1 style="text-align: center;">Note List</h1>
        </div>
        <div class="container" id="cards-container">
            {% if notes %}
                {% for e in notes %}
                    <div class="card" style="margin-bottom: 5px;">
                        <div class="card-body" >
                            {% if e.Title == '' %}
                                <h5 class="card-title">[No Title]</h5>
                            {% endif %}
                            {% if not e.Title == '' %}
                                <h5 class="card-title">{{ e.Title }}</h5>
                            {% endif %}
                   
                            <h6 class="card-subtitle mb-2 text-muted">From: {{ e.From }}</h6>
         
                            <h6 class="card-subtitle mb-2 text-muted">To: {{ e.To }}</h6>
                            <p class="card-text">{{ e.Message }}</p>
                        </div>
                    </div>        
                {% endfor %}
            {% endif %}            
        </div>

        
    </body>
</html>
<div class="">

</div>
